<template>
    <div ref="page_container" id="page-container" class="page-container">
      <section class="section">
        <BackgroundSky />
        <div ref="title_container" class="title-container">
            <h1 ref="main_title">Somi</h1>
            <h1 ref="sub_title">anime</h1>
            <h1 ref="description">兴趣使然的动漫视频站</h1>
        </div>
      </section>
    </div>
</template>

<script>
import BackgroundSky from "../components/Sky"
export default {
  data: () => {
    return {
      options: {
        sectionsColor: ["#f2f2f2", "#4BBFC3", "#7BAABE", "whitesmoke", "#000"]
      }
    };
  },
  async mounted() {
    const {
      sky_blue_background,
      title_container,
      main_title,
      sub_title,
      description
    } = this.$refs;
    const sequence = [
      {e: main_title,p:"transition.slideDownIn",o:{duration:600,delay:500}},
      {e: main_title,p:"transition.slideDownOut",o:{duration:600}},
      {e: sub_title ,p:"transition.slideDownIn",o:{duration:600}},
      {e: sub_title ,p:"transition.slideDownOut",o:{duration:600}},
      {e: description ,p:"transition.slideDownIn",o:{duration:600}},
      {e: description ,p:"transition.slideDownOut",o:{duration:600}},
    ]
    $.Velocity.RunSequence(sequence)
  },
  components: {
    BackgroundSky
  }
};
</script>
<style lang="stylus" scoped>
.page-container {
  position: relative;
  height: 100vh;
  width: 100vw;
}
.section {
  height 100vh
  overflow hidden
}
.title-container {
  position: absolute;
  left: 50%;
  top: 30%;
  width 100%
  text-align: center;
  transform: translate(-50%);
  background-color: transparent;
  h1 {
    left 0
    top 0
    opacity 0
    width 100%
    text-align center
    font-size: 100px;
    font-weight: 800;
    color: #fff;
    text-shadow: 1px 1px 5px #000;
  }
}
</style>
